aboutsummaryrefslogtreecommitdiffstats
path: root/deployments/start.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deployments/start.sh')
-rwxr-xr-xdeployments/start.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/deployments/start.sh b/deployments/start.sh
new file mode 100755
index 00000000..0a14fc35
--- /dev/null
+++ b/deployments/start.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018 Intel Corporation
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o nounset
+set -o pipefail
+
+k8s_path="$(git rev-parse --show-toplevel)"
+export GOPATH=$k8s_path
+
+export CSAR_DIR=/opt/csar
+export KUBE_CONFIG_DIR=/opt/kubeconfig
+export DATABASE_TYPE=consul
+export DATABASE_IP=consul-svr
+export PLUGINS_DIR=$k8s_path/src/k8splugin/plugins
+
+echo "Starting consul services"
+docker-compose kill
+docker-compose up -d consul
+echo "Compiling source code"
+
+pushd $k8s_path/src/k8splugin/
+make clean
+make plugins
+go run cmd/main.go
+popd